Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLTreeSendFrame.SubversiveTranslator

    java.lang.Object
      ix.util.xml.XMLTranslator
          ix.util.xml.XMLTreeSendFrame.SubversiveTranslator

All Implemented Interfaces:
  Loader, Saver

Enclosing class:
  XMLTreeSendFrame

     class XMLTreeSendFrame.SubversiveTranslator

extends XMLTranslator

Field Summary
`(package private) java.util.Map` | `subversions`

Fields inherited from class ix.util.xml.XMLTranslator
`classSyntax, defaultListClass, defaultMapClass, defaultSetClass, homeNamespace, homeNamespaceURI, implAttributeName, lastExaminedElement, lispPrinter, listTextClass, mapEntryName, mostRecentHomeNamespace, omitImplAttributes, outputter, postfilter, prefilter, requireNamespace, writePrintableListsAsText`

Constructor Summary
`XMLTreeSendFrame.SubversiveTranslator()`
`XMLTreeSendFrame.SubversiveTranslator(XMLTranslator base)`

Method Summary
`java.lang.String` | `objectToXMLString(java.lang.Object obj)` Converts an object to a string of XML.
`(package private) void` | `setTranslation(java.lang.Object obj, org.jdom.Document doc)`

Methods inherited from class ix.util.xml.XMLTranslator
`collectionFromElement, collectionToElement, documentToXMLString, embeddedXMLFromElement, embeddedXMLToElement, getClassSyntax, getFieldValue, getFieldValue, getHomeNamespace, getImplAttributeValue, getImplClass, getLastExaminedElement, getOutputter, handleUnknownFieldFromElement, isAttributeClass, isHomeNamespace, isHomeNamespaceURI, listFromElement, listFromElementText, listToElement, looksLikeAnObjectDocument, makeInstance, makeLListFromElement, mapFromElement, mapToElement, nsElement, objectFromDocument, objectFromElement, objectFromElement, objectFromXML, objectToDocument, objectToElement, primitiveObjectFromElement, primitiveObjectFromString, primitiveObjectToElement, processStructAttributes, processStructSubelements, readObject, requireEltSize, requireEltType, setFieldValue, setFromElement, setImplAttribute, setOmitImplAttributes, setPostfilter, setPrefilter, setRequireNamespace, setToElement, stringFromElement, stringToElement, structFromElement, structToElement, visitField, wrapperClass, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subversions

    java.util.Map subversions

Constructor Detail

### XMLTreeSendFrame.SubversiveTranslator

    XMLTreeSendFrame.SubversiveTranslator()

### XMLTreeSendFrame.SubversiveTranslator

    XMLTreeSendFrame.SubversiveTranslator(XMLTranslator base)

Method Detail

### objectToXMLString

    public java.lang.String objectToXMLString(java.lang.Object obj)

  Description copied from class: `XMLTranslator`
  Converts an object to a string of XML. The object is converted to a JDOM Document by `XMLTranslator.objectToDocument(Object)` and then to a string by `XMLTranslator.documentToXMLString(org.jdom.Document)`.

  Overrides:
    `objectToXMLString` in class `XMLTranslator`

### setTranslation

    void setTranslation(java.lang.Object obj,
                        org.jdom.Document doc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD